diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/media/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/media/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/media/editor_plugin_src.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/media/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 28,33 ****
--- 28,37 ----
  		["Audio"]
  	];
  
+ 	function normalizeSize(size) {
+ 		return typeof(size) == "string" ? size.replace(/[^0-9%]/g, '') : size;
+ 	}
+ 
  	function toArray(obj) {
  		var undef, out, i;
  
***************
*** 258,265 ****
  				'data-mce-json' : JSON.serialize(data, "'")
  			});
  
! 			img.width = data.width || (data.type == 'audio' ? "300" : "320");
! 			img.height = data.height || (data.type == 'audio' ? "32" : "240");
  
  			return img;
  		},
--- 262,269 ----
  				'data-mce-json' : JSON.serialize(data, "'")
  			});
  
! 			img.width = data.width = normalizeSize(data.width || (data.type == 'audio' ? "300" : "320"));
! 			img.height = data.height = normalizeSize(data.height || (data.type == 'audio' ? "32" : "240"));
  
  			return img;
  		},
***************
*** 378,384 ****
  			data = JSON.parse(data);
  			typeItem = this.getType(node.attr('class'));
  
! 			style = node.attr('data-mce-style')
  			if (!style) {
  				style = node.attr('style');
  
--- 382,388 ----
  			data = JSON.parse(data);
  			typeItem = this.getType(node.attr('class'));
  
! 			style = node.attr('data-mce-style');
  			if (!style) {
  				style = node.attr('style');
  
***************
*** 386,391 ****
--- 390,399 ----
  					style = editor.dom.serializeStyle(editor.dom.parseStyle(style, 'img'));
  			}
  
+ 			// Use node width/height to override the data width/height when the placeholder is resized
+ 			data.width = node.attr('width') || data.width;
+ 			data.height = node.attr('height') || data.height;
+ 
  			// Handle iframe
  			if (typeItem.name === 'Iframe') {
  				replacement = new Node('iframe', 1);
***************
*** 434,441 ****
  				// Create new object element
  				video = new Node('video', 1).attr(tinymce.extend({
  					id : node.attr('id'),
! 					width: node.attr('width'),
! 					height: node.attr('height'),
  					style : style
  				}, data.video.attrs));
  
--- 442,449 ----
  				// Create new object element
  				video = new Node('video', 1).attr(tinymce.extend({
  					id : node.attr('id'),
! 					width: normalizeSize(node.attr('width')),
! 					height: normalizeSize(node.attr('height')),
  					style : style
  				}, data.video.attrs));
  
***************
*** 473,480 ****
  				// Create new object element
  				audio = new Node('audio', 1).attr(tinymce.extend({
  					id : node.attr('id'),
! 					width: node.attr('width'),
! 					height: node.attr('height'),
  					style : style
  				}, data.video.attrs));
  
--- 481,488 ----
  				// Create new object element
  				audio = new Node('audio', 1).attr(tinymce.extend({
  					id : node.attr('id'),
! 					width: normalizeSize(node.attr('width')),
! 					height: normalizeSize(node.attr('height')),
  					style : style
  				}, data.video.attrs));
  
***************
*** 502,509 ****
  				embed.shortEnded = true;
  				embed.attr({
  					id: node.attr('id'),
! 					width: node.attr('width'),
! 					height: node.attr('height'),
  					style : style,
  					type: node.attr('type')
  				});
--- 510,517 ----
  				embed.shortEnded = true;
  				embed.attr({
  					id: node.attr('id'),
! 					width: normalizeSize(node.attr('width')),
! 					height: normalizeSize(node.attr('height')),
  					style : style,
  					type: node.attr('type')
  				});
***************
*** 531,538 ****
  				// Create new object element
  				object = new Node('object', 1).attr({
  					id : node.attr('id'),
! 					width: node.attr('width'),
! 					height: node.attr('height'),
  					style : style
  				});
  
--- 539,546 ----
  				// Create new object element
  				object = new Node('object', 1).attr({
  					id : node.attr('id'),
! 					width: normalizeSize(node.attr('width')),
! 					height: normalizeSize(node.attr('height')),
  					style : style
  				});
  
***************
*** 576,583 ****
  					embed.shortEnded = true;
  					embed.attr({
  						id: node.attr('id'),
! 						width: node.attr('width'),
! 						height: node.attr('height'),
  						style : style,
  						type: typeItem.mimes[0]
  					});
--- 584,591 ----
  					embed.shortEnded = true;
  					embed.attr({
  						id: node.attr('id'),
! 						width: normalizeSize(node.attr('width')),
! 						height: normalizeSize(node.attr('height')),
  						style : style,
  						type: typeItem.mimes[0]
  					});
***************
*** 793,800 ****
  
  			if (iframe) {
  				// Get width/height
! 				width = iframe.attr('width');
! 				height = iframe.attr('height');
  				style = style || iframe.attr('style');
  				id = iframe.attr('id');
  				hspace = iframe.attr('hspace');
--- 801,808 ----
  
  			if (iframe) {
  				// Get width/height
! 				width = normalizeSize(iframe.attr('width'));
! 				height = normalizeSize(iframe.attr('height'));
  				style = style || iframe.attr('style');
  				id = iframe.attr('id');
  				hspace = iframe.attr('hspace');
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/media/js/media.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/media/js/media.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/media/js/media.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/media/js/media.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 78,84 ****
  			get('video_altsource2_filebrowser').innerHTML = getBrowserHTML('video_filebrowser_altsource2','video_altsource2','media','media');
  			get('audio_altsource1_filebrowser').innerHTML = getBrowserHTML('audio_filebrowser_altsource1','audio_altsource1','media','media');
  			get('audio_altsource2_filebrowser').innerHTML = getBrowserHTML('audio_filebrowser_altsource2','audio_altsource2','media','media');
! 			get('video_poster_filebrowser').innerHTML = getBrowserHTML('filebrowser_poster','video_poster','media','image');
  
  			html = self.getMediaListHTML('medialist', 'src', 'media', 'media');
  			if (html == "")
--- 78,84 ----
  			get('video_altsource2_filebrowser').innerHTML = getBrowserHTML('video_filebrowser_altsource2','video_altsource2','media','media');
  			get('audio_altsource1_filebrowser').innerHTML = getBrowserHTML('audio_filebrowser_altsource1','audio_altsource1','media','media');
  			get('audio_altsource2_filebrowser').innerHTML = getBrowserHTML('audio_filebrowser_altsource2','audio_altsource2','media','media');
! 			get('video_poster_filebrowser').innerHTML = getBrowserHTML('filebrowser_poster','video_poster','image','media');
  
  			html = self.getMediaListHTML('medialist', 'src', 'media', 'media');
  			if (html == "")
***************
*** 295,328 ****
  			} else {
  				src = getVal("src");
  
! 				// YouTube *NEW*
! 				if (src.match(/youtu.be\/[a-z1-9.-_]+/)) {
  					data.width = 425;
  					data.height = 350;
  					data.params.frameborder = '0';
  					data.type = 'iframe';
- 					src = 'http://www.youtube.com/embed/' + src.match(/youtu.be\/([a-z1-9.-_]+)/)[1];
  					setVal('src', src);
  					setVal('media_type', data.type);
  				}
  
! 				// YouTube
! 				if (src.match(/youtube.com(.+)v=([^&]+)/)) {
  					data.width = 425;
  					data.height = 350;
  					data.params.frameborder = '0';
  					data.type = 'iframe';
! 					src = 'http://www.youtube.com/embed/' + src.match(/v=([^&]+)/)[1];
  					setVal('src', src);
  					setVal('media_type', data.type);
  				}
! 
! 				// Google video
! 				if (src.match(/video.google.com(.+)docid=([^&]+)/)) {
  					data.width = 425;
! 					data.height = 326;
! 					data.type = 'flash';
! 					src = 'http://video.google.com/googleplayer.swf?docId=' + src.match(/docid=([^&]+)/)[1] + '&hl=en';
  					setVal('src', src);
  					setVal('media_type', data.type);
  				}
--- 295,371 ----
  			} else {
  				src = getVal("src");
  
! 				// YouTube Embed
! 				if (src.match(/youtube\.com\/embed\/\w+/)) {
  					data.width = 425;
  					data.height = 350;
  					data.params.frameborder = '0';
  					data.type = 'iframe';
  					setVal('src', src);
  					setVal('media_type', data.type);
+ 				} else {
+ 					// YouTube *NEW*
+ 					if (src.match(/youtu\.be\/[a-z1-9.-_]+/)) {
+ 						data.width = 425;
+ 						data.height = 350;
+ 						data.params.frameborder = '0';
+ 						data.type = 'iframe';
+ 						src = 'http://www.youtube.com/embed/' + src.match(/youtu.be\/([a-z1-9.-_]+)/)[1];
+ 						setVal('src', src);
+ 						setVal('media_type', data.type);
+ 					}
+ 
+ 					// YouTube
+ 					if (src.match(/youtube\.com(.+)v=([^&]+)/)) {
+ 						data.width = 425;
+ 						data.height = 350;
+ 						data.params.frameborder = '0';
+ 						data.type = 'iframe';
+ 						src = 'http://www.youtube.com/embed/' + src.match(/v=([^&]+)/)[1];
+ 						setVal('src', src);
+ 						setVal('media_type', data.type);
+ 					}
  				}
  
! 				// Google video
! 				if (src.match(/video\.google\.com(.+)docid=([^&]+)/)) {
! 					data.width = 425;
! 					data.height = 326;
! 					data.type = 'flash';
! 					src = 'http://video.google.com/googleplayer.swf?docId=' + src.match(/docid=([^&]+)/)[1] + '&hl=en';
! 					setVal('src', src);
! 					setVal('media_type', data.type);
! 				}
! 				
! 				// Vimeo
! 				if (src.match(/vimeo\.com\/([0-9]+)/)) {
  					data.width = 425;
  					data.height = 350;
  					data.params.frameborder = '0';
  					data.type = 'iframe';
! 					src = 'http://player.vimeo.com/video/' + src.match(/vimeo.com\/([0-9]+)/)[1];
  					setVal('src', src);
  					setVal('media_type', data.type);
  				}
!             
! 				// stream.cz
! 				if (src.match(/stream\.cz\/((?!object).)*\/([0-9]+)/)) {
  					data.width = 425;
! 					data.height = 350;
! 					data.params.frameborder = '0';
! 					data.type = 'iframe';
! 					src = 'http://www.stream.cz/object/' + src.match(/stream.cz\/[^/]+\/([0-9]+)/)[1];
! 					setVal('src', src);
! 					setVal('media_type', data.type);
! 				}
! 				
! 				// Google maps
! 				if (src.match(/maps\.google\.([a-z]{2,3})\/maps\/(.+)msid=(.+)/)) {
! 					data.width = 425;
! 					data.height = 350;
! 					data.params.frameborder = '0';
! 					data.type = 'iframe';
! 					src = 'http://maps.google.com/maps/ms?msid=' + src.match(/msid=(.+)/)[1] + "&output=embed";
  					setVal('src', src);
  					setVal('media_type', data.type);
  				}
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/paste/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/paste/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/paste/editor_plugin_src.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/paste/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 23,28 ****
--- 23,29 ----
  			paste_convert_headers_to_strong : false,
  			paste_dialog_width : "450",
  			paste_dialog_height : "400",
+ 			paste_max_consecutive_linebreaks: 2,
  			paste_text_use_dialog : false,
  			paste_text_sticky : false,
  			paste_text_sticky_default : false,
***************
*** 359,365 ****
  			}
  
  			// IE9 adds BRs before/after block elements when contents is pasted from word or for example another browser
! 			if (tinymce.isIE && document.documentMode >= 9) {
  				// IE9 adds BRs before/after block elements when contents is pasted from word or for example another browser
  				process([[/(?:<br>&nbsp;[\s\r\n]+|<br>)*(<\/?(h[1-6r]|p|div|address|pre|form|table|tbody|thead|tfoot|th|tr|td|li|ol|ul|caption|blockquote|center|dl|dt|dd|dir|fieldset)[^>]*>)(?:<br>&nbsp;[\s\r\n]+|<br>)*/g, '$1']]);
  
--- 360,366 ----
  			}
  
  			// IE9 adds BRs before/after block elements when contents is pasted from word or for example another browser
! 			if (tinymce.isIE && document.documentMode >= 9 && /<(h[1-6r]|p|div|address|pre|form|table|tbody|thead|tfoot|th|tr|td|li|ol|ul|caption|blockquote|center|dl|dt|dd|dir|fieldset)/.test(o.content)) {
  				// IE9 adds BRs before/after block elements when contents is pasted from word or for example another browser
  				process([[/(?:<br>&nbsp;[\s\r\n]+|<br>)*(<\/?(h[1-6r]|p|div|address|pre|form|table|tbody|thead|tfoot|th|tr|td|li|ol|ul|caption|blockquote|center|dl|dt|dd|dir|fieldset)[^>]*>)(?:<br>&nbsp;[\s\r\n]+|<br>)*/g, '$1']]);
  
***************
*** 790,799 ****
  					[/<\/t[dh]>\s*<t[dh][^>]*>/gi, "\t"],		// Table cells get tabs betweem them
  					/<[a-z!\/?][^>]*>/gi,						// Delete all remaining tags
  					[/&nbsp;/gi, " "],							// Convert non-break spaces to regular spaces (remember, *plain text*)
! 					[/(?:(?!\n)\s)*(\n+)(?:(?!\n)\s)*/gi, "$1"],// Cool little RegExp deletes whitespace around linebreak chars.
! 					[/\n{3,}/g, "\n\n"]							// Max. 2 consecutive linebreaks
  				]);
  
  				content = ed.dom.decode(tinymce.html.Entities.encodeRaw(content));
  
  				// Perform default or custom replacements
--- 791,813 ----
  					[/<\/t[dh]>\s*<t[dh][^>]*>/gi, "\t"],		// Table cells get tabs betweem them
  					/<[a-z!\/?][^>]*>/gi,						// Delete all remaining tags
  					[/&nbsp;/gi, " "],							// Convert non-break spaces to regular spaces (remember, *plain text*)
! 					[/(?:(?!\n)\s)*(\n+)(?:(?!\n)\s)*/gi, "$1"] // Cool little RegExp deletes whitespace around linebreak chars.
  				]);
  
+ 				var maxLinebreaks = Number(getParam(ed, "paste_max_consecutive_linebreaks"));
+ 				if (maxLinebreaks > -1) {
+ 					var maxLinebreaksRegex = new RegExp("\n{" + (maxLinebreaks + 1) + ",}", "g");
+ 					var linebreakReplacement = "";
+ 
+ 					while (linebreakReplacement.length < maxLinebreaks) {
+ 						linebreakReplacement += "\n";
+ 					}
+ 
+ 					process([
+ 						[maxLinebreaksRegex, linebreakReplacement] // Limit max consecutive linebreaks
+ 					]);
+ 				}
+ 
  				content = ed.dom.decode(tinymce.html.Entities.encodeRaw(content));
  
  				// Perform default or custom replacements
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/spellchecker/classes/GoogleSpell.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/spellchecker/classes/GoogleSpell.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/spellchecker/classes/GoogleSpell.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/spellchecker/classes/GoogleSpell.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 50,56 ****
  		return $osug;
  	}
  
! 	function &_getMatches($lang, $str) {
  		$server = "www.google.com";
  		$port = 443;
  		$path = "/tbproxy/spell?lang=" . $lang . "&hl=en";
--- 50,58 ----
  		return $osug;
  	}
  
! 	protected function &_getMatches($lang, $str) {
! 		$lang = preg_replace('/[^a-z\-]/i', '', $lang);
! 		$str = preg_replace('/[\x00-\x1F\x7F]/', '', $str);
  		$server = "www.google.com";
  		$port = 443;
  		$path = "/tbproxy/spell?lang=" . $lang . "&hl=en";
***************
*** 105,111 ****
  		return $matches;
  	}
  
! 	function _unhtmlentities($string) {
  		$string = preg_replace('~&#x([0-9a-f]+);~ei', 'chr(hexdec("\\1"))', $string);
  		$string = preg_replace('~&#([0-9]+);~e', 'chr(\\1)', $string);
  
--- 107,113 ----
  		return $matches;
  	}
  
! 	protected function _unhtmlentities($string) {
  		$string = preg_replace('~&#x([0-9a-f]+);~ei', 'chr(hexdec("\\1"))', $string);
  		$string = preg_replace('~&#([0-9]+);~e', 'chr(\\1)', $string);
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/spellchecker/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/spellchecker/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/spellchecker/editor_plugin_src.js	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/spellchecker/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 208,214 ****
  		},
  
  		_removeWords : function(w) {
! 			var ed = this.editor, dom = ed.dom, se = ed.selection, b = se.getBookmark();
  
  			each(dom.select('span').reverse(), function(n) {
  				if (n && (dom.hasClass(n, 'mceItemHiddenSpellWord') || dom.hasClass(n, 'mceItemHidden'))) {
--- 208,214 ----
  		},
  
  		_removeWords : function(w) {
! 			var ed = this.editor, dom = ed.dom, se = ed.selection, r = se.getRng(true);
  
  			each(dom.select('span').reverse(), function(n) {
  				if (n && (dom.hasClass(n, 'mceItemHiddenSpellWord') || dom.hasClass(n, 'mceItemHidden'))) {
***************
*** 217,227 ****
  				}
  			});
  
! 			se.moveToBookmark(b);
  		},
  
  		_markWords : function(wl) {
! 			var ed = this.editor, dom = ed.dom, doc = ed.getDoc(), se = ed.selection, b = se.getBookmark(), nl = [],
  				w = wl.join('|'), re = this._getSeparators(), rx = new RegExp('(^|[' + re + '])(' + w + ')(?=[' + re + ']|$)', 'g');
  
  			// Collect all text nodes
--- 217,227 ----
  				}
  			});
  
! 			se.setRng(r);
  		},
  
  		_markWords : function(wl) {
! 			var ed = this.editor, dom = ed.dom, doc = ed.getDoc(), se = ed.selection, r = se.getRng(true), nl = [],
  				w = wl.join('|'), re = this._getSeparators(), rx = new RegExp('(^|[' + re + '])(' + w + ')(?=[' + re + ']|$)', 'g');
  
  			// Collect all text nodes
***************
*** 279,285 ****
  				}
  			});
  
! 			se.moveToBookmark(b);
  		},
  
  		_showMenu : function(ed, e) {
--- 279,285 ----
  				}
  			});
  
! 			se.setRng(r);
  		},
  
  		_showMenu : function(ed, e) {
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/tabfocus/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/tabfocus/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/tabfocus/editor_plugin_src.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/tabfocus/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 22,28 ****
  				var x, i, f, el, v;
  
  				function find(d) {
! 					el = DOM.select(':input:enabled,*[tabindex]');
  
  					function canSelectRecursive(e) {
  						return e.nodeName==="BODY" || (e.type != 'hidden' &&
--- 22,28 ----
  				var x, i, f, el, v;
  
  				function find(d) {
! 					el = DOM.select(':input:enabled,*[tabindex]:not(iframe)');
  
  					function canSelectRecursive(e) {
  						return e.nodeName==="BODY" || (e.type != 'hidden' &&
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 6,15 ****
  	var DOM = tinymce.DOM;
  
  	tinymce.create('tinymce.plugins.WordPress', {
- 		mceTout : 0,
- 
  		init : function(ed, url) {
! 			var t = this, tbId = ed.getParam('wordpress_adv_toolbar', 'toolbar2'), last = 0, moreHTML, nextpageHTML, closeOnClick;
  			moreHTML = '<img src="' + url + '/img/trans.gif" class="mceWPmore mceItemNoResize" title="'+ed.getLang('wordpress.wp_more_alt')+'" />';
  			nextpageHTML = '<img src="' + url + '/img/trans.gif" class="mceWPnextpage mceItemNoResize" title="'+ed.getLang('wordpress.wp_page_alt')+'" />';
  
--- 6,13 ----
  	var DOM = tinymce.DOM;
  
  	tinymce.create('tinymce.plugins.WordPress', {
  		init : function(ed, url) {
! 			var t = this, tbId = ed.getParam('wordpress_adv_toolbar', 'toolbar2'), last = 0, moreHTML, nextpageHTML, closeOnClick, mod_key;
  			moreHTML = '<img src="' + url + '/img/trans.gif" class="mceWPmore mceItemNoResize" title="'+ed.getLang('wordpress.wp_more_alt')+'" />';
  			nextpageHTML = '<img src="' + url + '/img/trans.gif" class="mceWPnextpage mceItemNoResize" title="'+ed.getLang('wordpress.wp_page_alt')+'" />';
  
***************
*** 65,80 ****
  			});
  
  			ed.addCommand('WP_Medialib', function() {
! 				var id = ed.getParam('wp_fullscreen_editor_id') || ed.getParam('fullscreen_editor_id') || ed.id,
! 					link = tinymce.DOM.select('#wp-' + id + '-media-buttons a.thickbox');
! 
! 				if ( link && link[0] )
! 					link = link[0];
! 				else
! 					return;
! 
! 				tb_show('', link.href);
! 				tinymce.DOM.setStyle( ['TB_overlay','TB_window','TB_load'], 'z-index', '999999' );
  			});
  
  			// Register buttons
--- 63,70 ----
  			});
  
  			ed.addCommand('WP_Medialib', function() {
! 				if ( typeof wp !== 'undefined' && wp.media && wp.media.editor )
! 					wp.media.editor.open( ed.id );
  			});
  
  			// Register buttons
***************
*** 250,279 ****
  			t._handleMoreBreak(ed, url);
  
  			// Add custom shortcuts
! 			ed.addShortcut('alt+shift+c', ed.getLang('justifycenter_desc'), 'JustifyCenter');
! 			ed.addShortcut('alt+shift+r', ed.getLang('justifyright_desc'), 'JustifyRight');
! 			ed.addShortcut('alt+shift+l', ed.getLang('justifyleft_desc'), 'JustifyLeft');
! 			ed.addShortcut('alt+shift+j', ed.getLang('justifyfull_desc'), 'JustifyFull');
! 			ed.addShortcut('alt+shift+q', ed.getLang('blockquote_desc'), 'mceBlockQuote');
! 			ed.addShortcut('alt+shift+u', ed.getLang('bullist_desc'), 'InsertUnorderedList');
! 			ed.addShortcut('alt+shift+o', ed.getLang('numlist_desc'), 'InsertOrderedList');
! 			ed.addShortcut('alt+shift+d', ed.getLang('striketrough_desc'), 'Strikethrough');
! 			ed.addShortcut('alt+shift+n', ed.getLang('spellchecker.desc'), 'mceSpellCheck');
! 			ed.addShortcut('alt+shift+a', ed.getLang('link_desc'), 'mceLink');
! 			ed.addShortcut('alt+shift+s', ed.getLang('unlink_desc'), 'unlink');
! 			ed.addShortcut('alt+shift+m', ed.getLang('image_desc'), 'WP_Medialib');
! 			ed.addShortcut('alt+shift+g', ed.getLang('fullscreen.desc'), 'mceFullScreen');
! 			ed.addShortcut('alt+shift+z', ed.getLang('wp_adv_desc'), 'WP_Adv');
! 			ed.addShortcut('alt+shift+h', ed.getLang('help_desc'), 'WP_Help');
! 			ed.addShortcut('alt+shift+t', ed.getLang('wp_more_desc'), 'WP_More');
! 			ed.addShortcut('alt+shift+p', ed.getLang('wp_page_desc'), 'WP_Page');
! 			ed.addShortcut('ctrl+s', ed.getLang('save_desc'), function(){if('function'==typeof autosave)autosave();});
! 
! 			if ( tinymce.isWebKit ) {
! 				ed.addShortcut('alt+shift+b', ed.getLang('bold_desc'), 'Bold');
! 				ed.addShortcut('alt+shift+i', ed.getLang('italic_desc'), 'Italic');
! 			}
  
  			ed.onInit.add(function(ed) {
  				tinymce.dom.Event.add(ed.getWin(), 'scroll', function(e) {
  					ed.plugins.wordpress._hideButtons();
--- 240,274 ----
  			t._handleMoreBreak(ed, url);
  
  			// Add custom shortcuts
! 			mod_key = 'alt+shift';
! 
! 		//	if ( tinymce.isGecko ) // disable for mow, too many shortcuts conflicts
! 		//		mod_key = 'ctrl+alt';
! 
! 			ed.addShortcut(mod_key + '+c', 'justifycenter_desc', 'JustifyCenter');
! 			ed.addShortcut(mod_key + '+r', 'justifyright_desc', 'JustifyRight');
! 			ed.addShortcut(mod_key + '+l', 'justifyleft_desc', 'JustifyLeft');
! 			ed.addShortcut(mod_key + '+j', 'justifyfull_desc', 'JustifyFull');
! 			ed.addShortcut(mod_key + '+q', 'blockquote_desc', 'mceBlockQuote');
! 			ed.addShortcut(mod_key + '+u', 'bullist_desc', 'InsertUnorderedList');
! 			ed.addShortcut(mod_key + '+o', 'numlist_desc', 'InsertOrderedList');
! 			ed.addShortcut(mod_key + '+n', 'spellchecker.desc', 'mceSpellCheck');
! 			ed.addShortcut(mod_key + '+a', 'link_desc', 'WP_Link');
! 			ed.addShortcut(mod_key + '+s', 'unlink_desc', 'unlink');
! 			ed.addShortcut(mod_key + '+m', 'image_desc', 'WP_Medialib');
! 			ed.addShortcut(mod_key + '+z', 'wordpress.wp_adv_desc', 'WP_Adv');
! 			ed.addShortcut(mod_key + '+t', 'wordpress.wp_more_desc', 'WP_More');
! 			ed.addShortcut(mod_key + '+d', 'striketrough_desc', 'Strikethrough');
! 			ed.addShortcut(mod_key + '+h', 'help_desc', 'WP_Help');
! 			ed.addShortcut(mod_key + '+p', 'wordpress.wp_page_desc', 'WP_Page');
! 			ed.addShortcut('ctrl+s', 'save_desc', function(){if('function'==typeof autosave)autosave();});
! 
! 			if ( /\bwpfullscreen\b/.test(ed.settings.plugins) )
! 				ed.addShortcut(mod_key + '+w', 'wordpress.wp_fullscreen_desc', 'wpFullScreen');
! 			else if ( /\bfullscreen\b/.test(ed.settings.plugins) )
! 				ed.addShortcut(mod_key + '+g', 'fullscreen.desc', 'mceFullScreen');
  
+ 			// popup buttons for images and the gallery
  			ed.onInit.add(function(ed) {
  				tinymce.dom.Event.add(ed.getWin(), 'scroll', function(e) {
  					ed.plugins.wordpress._hideButtons();
***************
*** 296,301 ****
--- 291,301 ----
  					ed.plugins.wordpress._hideButtons();
  			});
  
+ 			ed.onKeyDown.add(function(ed, e){
+ 				if ( e.which == tinymce.VK.DELETE || e.which == tinymce.VK.BACKSPACE )
+ 					ed.plugins.wordpress._hideButtons();
+ 			});
+ 
  			closeOnClick = function(e){
  				var id;
  
***************
*** 354,378 ****
  				'left' : X+5+'px',
  				'display' : 'block'
  			});
- 
- 			if ( this.mceTout )
- 				clearTimeout(this.mceTout);
- 
- 			this.mceTout = setTimeout( function(){ed.plugins.wordpress._hideButtons();}, 5000 );
  		},
  
  		_hideButtons : function() {
! 			if ( !this.mceTout )
! 				return;
! 
! 			if ( document.getElementById('wp_editbtns') )
! 				tinymce.DOM.hide('wp_editbtns');
! 
! 			if ( document.getElementById('wp_gallerybtns') )
! 				tinymce.DOM.hide('wp_gallerybtns');
! 
! 			clearTimeout(this.mceTout);
! 			this.mceTout = 0;
  		},
  
  		// Resizes the iframe by a relative height value
--- 354,364 ----
  				'left' : X+5+'px',
  				'display' : 'block'
  			});
  		},
  
  		_hideButtons : function() {
! 			var DOM = tinymce.DOM;
! 			DOM.hide( DOM.select('#wp_editbtns, #wp_gallerybtns') );
  		},
  
  		// Resizes the iframe by a relative height value
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wordpress/img/image.gif and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wordpress/img/image.gif differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wordpress/img/video.gif and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wordpress/img/video.gif differ
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpdialogs/js/wpdialog.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpdialogs/js/wpdialog.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpdialogs/js/wpdialog.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpdialogs/js/wpdialog.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 1 ****
! (function(a){a.ui.dialog.prototype.options.closeOnEscape=false;a.widget("wp.wpdialog",a.ui.dialog,{options:{closeOnEscape:false},open:function(){var b;if(tinyMCEPopup&&typeof tinyMCE!="undefined"&&(b=tinyMCE.activeEditor)&&!b.isHidden()){tinyMCEPopup.init()}if(this._isOpen||false===this._trigger("beforeOpen")){return}a.ui.dialog.prototype.open.apply(this,arguments);this.element.focus();this._trigger("refresh")}})})(jQuery);
\ No newline at end of file
--- 1,28 ----
! (function($){
! 	$.ui.dialog.prototype.options.closeOnEscape = false;
! 	$.widget('wp.wpdialog', $.ui.dialog, {
! 		// Work around a bug in jQuery UI 1.9.1.
! 		// http://bugs.jqueryui.com/ticket/8805
! 		widgetEventPrefix: 'wpdialog',
! 
! 		open: function() {
! 			var ed;
! 
! 			// Initialize tinyMCEPopup if it exists and the editor is active.
! 			if ( tinyMCEPopup && typeof tinyMCE != 'undefined' && ( ed = tinyMCE.activeEditor ) && !ed.isHidden() ) {
! 				tinyMCEPopup.init();
! 			}
! 
! 			// Add beforeOpen event.
! 			if ( this.isOpen() || false === this._trigger('beforeOpen') ) {
! 				return;
! 			}
! 
! 			// Open the dialog.
! 			this._super();
! 			// WebKit leaves focus in the TinyMCE editor unless we shift focus.
! 			this.element.focus();
! 			this._trigger('refresh');
! 		}
! 	});
! })(jQuery);
